Page MenuHomePhabricator

Outdated "insource" in search
Closed, ResolvedPublic

Description

Other pages come and go as they're updated, but this particular page has been stuck in the search for around a week with no explanation https://en.wikipedia.org/w/index.php?search=insource%3A%22%7B%7Bsubst%3AInfobox%22&title=Special:Search&profile=advanced&fulltext=1&ns0=1&searchToken=djxmvdngflekuswjbjnz9pl1i .
This has happened before with a different page (I do not recall the name) but ended up sorting itself out after a long while.

Event Timeline

kolbert created this task.Apr 26 2018, 6:56 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 26 2018, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

A null edit was performed on the page and it seemed to have disappeared from the search queue, no explanation as to why it stuck around in the first place though. See : https://screenshots.firefox.com/cQaZV6ylKJxj4R7q/en.wikipedia.org

(I did a null edit and it seems gone now)

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptApr 27 2018, 7:12 AM

There is an automated process that visits all pages and verifies they contain the latest revision every two weeks, so it would have eventually been fixed. But it would certainly be better if the problem never ocured in the first place.

It looks like the edit that didn't get applied was: https://en.wikipedia.org/w/index.php?title=Bandhan_Kuchchey_Dhaagon_Ka&diff=836613509&oldid=836451097
This occured apr 15, 21:10 UTC. Unfortunately checking the logs around that time doesn't have anything interesting related to enwiki + cirrussearch. or mentioning the page id.

Without any logs or hints of what happened I'm not sure what could be done.

EBjune triaged this task as Low priority.May 10 2018, 5:20 PM
EBjune added a subscriber: EBjune.

Without logs there is nothing we can do to analyze the issue, just let us know if it happens again and we'll see if we can track down a log entry that explains it. There is a process that fixes issues like this given a little more time.

Vvjjkkii renamed this task from Outdated "insource" in search to s4daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from s4daaaaaaa to Outdated "insource" in search.Jul 2 2018, 3:12 PM
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
TJones closed this task as Resolved.Jan 30 2019, 9:20 PM
TJones claimed this task.
TJones added a subscriber: TJones.

It looks like the one problem document has been fixed. (There's one result at the moment, but it has the source in the query.) The immediate workaround may be a null edit. The medium-term fix is the "saneitizer" job that cleans up everything every two weeks (meaning a problem like this has an average life span of a week). Given that nothing showed up in the logs, there's nothing really we can do. If it happens again, please re-open this ticket or open another one and we'll see if the logs capture any odd behavior.